# Generated by Django 3.0.5 on 2020-05-07 22:35

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('description', models.TextField()),
                ('state', models.CharField(choices=[('new', 'New'), ('on_hold', 'On hold'), ('in_progress', 'In progress'), ('completed', 'Completed')], default='new', max_length=15)),
                ('create_date', models.DateTimeField(auto_now_add=True, verbose_name='Creation date')),
                ('limit_date', models.DateTimeField(auto_now_add=True, verbose_name='Creation date')),
                ('color', models.CharField(default='#000000', max_length=8, verbose_name='Color')),
                ('private', models.BooleanField(default=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
